<link rel="stylesheet" href="../modules/addons/ol_domain_pricing/css/styles.css">
<style>
    .domian_price_tbl tbody {
        display: block;
        height: 400px;
        overflow-y: scroll;
        text-align: center;
    }
    .domian_price_tbl thead, tbody tr{
        display: table;
        width: 100%;
        table-layout:fixed;
    }
    .domian_price_tbl thead {
        width: calc( 100% - 1.2em )
    }
    .domian_price_tbl th{
        width: 84px;
    }
    .domian_price_tbl td{
        width: 84px;
    }
    .steps label{
        margin-left: -4px;
    }
    .btn-div input{
        width: 120px;
    }
    .searchDiv{
        padding: 5px;
    }
    .searchDiv span{
        padding-left:10px;
    }
    .new-btn{
        margin: 0px 44px;
    }
</style>
<!--  comment lines at label tags should not be removed in order to keep the design appropriate -->
<div class="steps" data-steps="3">
    <label>
        <span>
            <div>
                <form method="POST">
                    <input style="border:none;" type="submit" name="submit" value="STEP 1 - Load Pricing"/>
                </form>
            </div>
        </span>
        <i></i>
    </label>
    <label>
        <span>
            <div>
                <form method=POST>
                    <input style="border:none;" type="submit" name="btn-to-step2" value="STEP 2 - UPDATE PRICES"/>
                </form>
            </div>
        </span>
        <i></i>
    </label>
    <label class=labelClass><span>STEP 3 - IMPORT PRICES</span><i></i></label>
</div>
<br>
<form action="addonmodules.php?module=ol_domain_pricing" method="POST">
    <div class="searchDiv">
        <span><label>Using Factor:</label><input type="text" name="usingFactor"/> </span>
        <span><label>Fixed Decimal:</label><select name="fixedDecimal"><option value="omitted">Omitted</option><option value="1">$XX.X9($1.15 will be changed to $1.19)</option></select></span>
        <span><label>Fixed Amount:</label><input type="text" name="fixedAmount"/></span>
        <span><input type="submit" name="optionSearch" class="btn btn-primary" onclick="return checkBeforeSubmit()" value="Multiply" /></span>
    </div>
    <table class="domian_price_tbl" width="100%" id="pricesTbl" >
        <thead>
        <tr>
            <th style="width: 30px"><span><input type=checkbox onchange=checkAll(this) class=checkall /></span></th>
            <th>TLD</th>
            <th>type</th>
            <th>1 year</th>
            <th>2 years</th>
            <th>3 years</th>
            <th>4 years</th>
            <th>5 years</th>
            <th>6 years</th>
            <th>7 years</th>
            <th>8 years</th>
            <th>9 years</th>
            <th>10 years</th>
        </tr>
        </thead>
        <tbody >
        {foreach $csv_as_new_array as $tld=>$value}
            <tr>
                <td style="width: 30px"><input type=checkbox class=tocheck name="checkbox-tld" value={$value[0]}></td>
                {foreach $value as $key}
                    <td name='Myprices'>{$key}</td>
                {/foreach}
                {if count($value) < 12}
                    {for $i=1 to 12-count($value)}
                        <td name='Myprices'>&nbsp;</td>
                    {/for}
                {/if}
            </tr>
        {/foreach}
        </tbody>
    </table>
    <br>
    <div class="btn-div">
        <input type="hidden" id="checkData" name="checkData"/>
        <input type="hidden" id="allData" name="allData"/>
        <input type="submit" name="btn-to-step2" class="btn btn-primary new-btn" value="Back">
        <input type="submit" name="import" class="btn btn-primary new-btn" onclick="return getAllData()" value="Import">
        <input type="submit" name="downloadCSV" class="btn btn-primary new-btn" onclick="return getAllData()" value="Download CSV">
    </div>
</form>
<script type="text/javascript">
    function checkAll(ele) {
        var checkboxes = document.getElementsByName("checkbox-tld");
        if (ele.checked) {
            for (var i = 0; i < checkboxes.length; i++) {
                if (checkboxes[i].type == "checkbox") {
                    checkboxes[i].checked = true;
                }
            }
        }
        else {
            for (var i = 0; i < checkboxes.length; i++) {
                console.log(i)
                if (checkboxes[i].type == "checkbox") {
                    checkboxes[i].checked = false;
                }
            }
        }
    }

    function checkBeforeSubmit(){
        var flag = false ;
        var checkboxes = document.getElementsByName("checkbox-tld");
        for(var i=0;i<checkboxes.length;i++){
            if(checkboxes[i].checked){
                flag = true ;
                break ;
            }
        }
        if(!flag){
            alert("Please select at least one!");
            return false;
        }

        var val = new Array();
        var rows = document.getElementById("pricesTbl").rows;
        for(k in checkboxes){
            if(checkboxes[k].checked){
                var row = checkboxes[k].parentElement.parentElement.rowIndex;
                val.push(rows[row].cells[1].innerText + "|" + rows[row].cells[2].innerText);
            }
        }
        document.getElementById("checkData").value = JSON.stringify(val);

        var allDatas = new Object();
        for(var row = 1;row < rows.length;row++){
            var len = rows[row].cells.length;
            var tmpArr = new Array();
            for(var i=1;i<len;i++){
                tmpArr.push(rows[row].cells[i].innerText.trim());
            }
            var key = rows[row].cells[1].innerText + "|" + rows[row].cells[2].innerText;
            allDatas[key] = tmpArr;
        }
        document.getElementById("allData").value = JSON.stringify(allDatas);
    }

    function getAllData(){
        var rows = document.getElementById("pricesTbl").rows;
        var allDatas = new Array();
        for(var row = 1;row < rows.length;row++){
            var len = rows[row].cells.length;
            var tmpArr = new Array();
            for(var i=1;i<len;i++){
                tmpArr.push(rows[row].cells[i].innerText.trim());
            }
            allDatas.push(tmpArr);
        }
        document.getElementById("allData").value = JSON.stringify(allDatas);
    }

</script>
